function love.load()

	time_since = love.timer.getTime()
	Xscreen, Yscreen = love.window.getDimensions()
	
	interval_on = 10
	interval_off = 10
	position = true
	ellapse_time = 0
	alarm = true
	
	alert = false
	
	alarm_sound = love.audio.newSource( "alarm.wav", "static" )
	alarm_sound_data = love.sound.newSoundData( "alarm.wav" )
	started = false
	alarm_sound:play()
end

function love.draw()
end

function love.update(dt)
	Xscreen, Yscreen = love.window.getDimensions()
	time_now = (love.timer.getTime() - time_since)
	
	if position == true then
		if (interval_on + ellapse_time)<=time_now then
			alert = true			
		end
	elseif position == false then
		if (interval_off + ellapse_time)<=time_now then
			alert = true
		end
	end
	
	if alarm == true and alert == true then
		if alarm_sound:tell() == 0 and started == false then
			alarm_sound:play()
			started = true
		end
		
		if alarm_sound:tell() > 0 then
			started = false
		end
	end
end

function love.textinput(t)
end

function love.focus(bool)
end

function love.mousepressed()
end

function love.mousereleased()
	if alert == true then
	ellapse_time = time_now
	alert = false
	print("POS:" .. tostring(position) .. "\t Alert:" .. tostring(alert))
	end
end

function love.keypressed()
end

function love.keyreleased()
end

function love.quit()
end